Bug 826853 - rhc setup always create the new express.conf same with old express.conf file despite use a new account.
rhc setup always create the new express.conf same with old express.conf file ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 02:54 EDT by yquan
Modified: 2015-05-14 21:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.93.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yquan 2012-05-31 02:54:44 EDT
Description of problem:
rhc setup always create the new express.conf same with old express.conf file despite use new account.

Version-Release number of selected component (if applicable):
rhc-0.93.16

How reproducible:
Always.

Steps to Reproduce:
1.use command "rhc setup" with an account to create .opnshift/express.conf file.
2.use command "rhc setup" with another account to create new .opnshift/express.conf file.
3.

Actual results:
The two file express.conf and express.conf.bak is the same file.

Expected results:
It should distinguish the default_rhlogin with two account.

Additional info:
Comment 1 John (J5) Palmieri 2012-05-31 16:00:17 EDT
fix is lined up as soon as it gets reviewed and merged I will ask for it to be included in the staging branch.

Fix deletes the config file after making the backup so that we guarantee it gets created.  Parent class had checked if the file existed and would assume it shouldn't touch the file if it was found.
Comment 2 yquan 2012-05-31 22:01:40 EDT
I fixed on rhc-0.93.18-1.el6_2.noarch.

I tested this case with two account yquan+21@redhat.com(Old),yquan@redhat.com(new).

[root@localhost .openshift]# cat express.conf
# Default user login
default_rhlogin='yquan@redhat.com'

# Server API
libra_server = 'ec2-23-20-203-249.compute-1.amazonaws.com'



[root@localhost .openshift]# cat express.conf.bak 
# Default user login
default_rhlogin='yquan+21@redhat.com'

# Server API
libra_server = 'ec2-23-20-203-249.compute-1.amazonaws.com'

Note You need to log in before you can comment on or make changes to this bug.